<?php

namespace Netzmacher\QuickShop;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2018-2019 - Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * Class provides methods for the extension manager.
 *
 * @author      Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package     TYPO3
 * @subpackage  quick_shop
 * @version     8.10.0
 * @since       8.10.0
 */
class ExtensionManager
{

	public static $confArr;

	/**
	 * @return      boolean
	 * @version     8.10.0
	 * @since       8.10.0
	 */
	static public function getFal()
	{
		SELF::_init();
		return !SELF::$confArr[ 'fal.' ][ 'disabled' ];
	}

	/**
	 * @return      boolean
	 * @version     8.10.0
	 * @since       8.10.0
	 */
	static public function getGeocoding()
	{
		SELF::_init();
		return SELF::$confArr[ 'geocoding.' ][ 'enabled' ];
	}

	/**
	 * @return      boolean
	 * @version     8.10.0
	 * @since       8.10.0
	 */
	static public function getLLsupport()
	{
		SELF::_init();
		$LLsupport = SELF::$confArr[ 'LLsupport' ];
		if( strtolower( substr( $LLsupport, 0, strlen( 'yes' ) ) ) == 'yes' )
		{
			return TRUE;
		}
		return FALSE;
	}

	/**
	 * @return      boolean
	 * @version     8.10.0
	 * @since       8.10.0
	 */
	static private function _init()
	{
		SELF::$confArr = unserialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'quick_shop' ] );
	}

}
